Subject: Re: [RFC PATCH 05/17] phy_driver: Make .read_status()/.config_aneg() optional

From: Mike Frysinger <[email-masked]>
Date: Thu, 20 Oct 2011 17:10:12 -0400

On Thursday 20 October 2011 17:00:12 Kyle Moffett wrote:
> Approximately 90% of the PHY drivers follow the PHY layer docs and
> simply use &genphy_read_status and &genphy_config_aneg.  There would
> seem to be little point in requiring them all to manually specify those
> functions.

well, it does make sense if you think about the compile vs build time 
overhead.  yes, your patch does make things much nicer to read, and a little 
easier to maintain the source.  however, it adds runtime overhead (checking 
the func pointers) while the func pointer storage is unchanged (it's now a 
NULL pointer instead of pointing to the genphy funcs).  personally, i think 
the savings in runtime and smaller compiled code is more important.  so i'm 
going to NAK this.  sorry.

> This patch makes it much easier for subsequent patches to split and
> refactor the functionality of the .config_aneg() method.
> 
> Signed-off-by: Kyle Moffett <[email-masked]>
> ---
>  Documentation/networking/phy.txt |   13 +++++--------
>  drivers/net/phy/bcm63xx.c        |    4 ----

hrm, what tree are you using ?  this driver is not in mainline.
-mike